<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (saksi) {
      <div>
        <h2 data-cy="saksiDetailsHeading"><span>Saksi</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span>ID</span></dt>
          <dd>
            <span>{{ saksi.id }}</span>
          </dd>
          <dt><span>Titel</span></dt>
          <dd>
            <span>{{ saksi.titel }}</span>
          </dd>
          <dt><span>Nama</span></dt>
          <dd>
            <span>{{ saksi.nama }}</span>
          </dd>
          <dt><span>Komparisi</span></dt>
          <dd>
            <span>{{ saksi.komparisi }}</span>
          </dd>
          <dt><span>Tts</span></dt>
          <dd>
            <span>{{ saksi.tts }}</span>
          </dd>
          <dt><span>Record Status</span></dt>
          <dd>
            <span>{{ saksi.recordStatus }}</span>
          </dd>
          <dt><span>Update By</span></dt>
          <dd>
            <span>{{ saksi.updateBy }}</span>
          </dd>
          <dt><span>Update On</span></dt>
          <dd>
            <span>{{ saksi.updateOn | formatMediumDatetime }}</span>
          </dd>
          <dt><span>Notaris</span></dt>
          <dd>
            @if (saksi.notaris) {
              <div>
                <a [routerLink]="['/notaris', saksi.notaris.id, 'view']">{{ saksi.notaris.id }}</a>
              </div>
            }
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
        </button>

        <button type="button" [routerLink]="['/saksi', saksi.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
        </button>
      </div>
    }
  </div>
</div>
